﻿@using Microsoft.AspNetCore.Http;
@using System.Security.Claims;

@*@{var userClaims = HttpContext.User.Identity as ClaimsIdentity; }*@
<!DOCTYPE html>
<html lang="fa">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>@ViewData["PageTitle"] - اتوماسیون پذیرندگان</title>
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="images/favicon.png">
    <!-- Custom Stylesheet -->
    <link href="~/assets/css/style.css" rel="stylesheet">
    @*<link href="~/assets/css/components-rtl.min.css" rel="stylesheet" />*@
    @*<link href="~/assets/css/plugins-rtl.min.css" rel="stylesheet" />*@

    @*<link href="~/app-assets/vendors/datatables/datatables.min.css" rel="stylesheet" />*@
    <link href="~/app-assets/vendors/datatables/dataTables.bootstrap4.css" rel="stylesheet" />
    @*<link href="~/app-assets/vendors/datatables/responsive.bootstrap.css" rel="stylesheet" />*@
    <link href="~/assets/plugins/toastr/css/toastr.min.css" rel="stylesheet" />
    <link href="~/js/bootstrap-datepicker/bootstrap-datepicker.min.css" rel="stylesheet" />
    <link href="~/assets/plugins/select2/css/select2.min.css" rel="stylesheet" />
    <link href="~/assets/plugins/select2/css/select2-bootstrap.min.css" rel="stylesheet" />
    @*<link href="~/assets/plugins/select2/css/select2-bootstrap4.css" rel="stylesheet" />*@
    @*<link href="~/assets/plugins/bootstrap-select/dist/css/bootstrap-select.min.css" rel="stylesheet" />*@

    <style>
        /*.select2-container--open + .select2-container--open {
            left: auto;
            right: 0;
            width: 100%;
        }*/
    </style>
    <style>
        .form-control-file:before,
        .custom-file-control:before,
        .custom-file-input:before {
            content: "انتخاب";
        }

        .form-control-label:after,
        .custom-file-label:after {
            content: "انتخاب";
        }

        .custom-file-input:lang(fa) ~ .custom-file-label::after {
            content: "انتخاب" !important;
        }
    </style>

    @RenderSection("Styles", required: false)

</head>

<body>

    <!--*******************
        Preloader start
    ********************-->
    <div id="preloader">
        <div class="loader">
            <svg class="circular" viewBox="25 25 50 50">
                <circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="3" stroke-miterlimit="10" />
            </svg>
        </div>
    </div>
    <!--*******************
        Preloader end
    ********************-->
    <!--**********************************
        Main wrapper start
    ***********************************-->
    <div id="main-wrapper">

        <!--**********************************
            Nav header start
        ***********************************-->
        <div class="nav-header">
            <div class="brand-logo">
                <a href="index.html">
                    <b class="logo-abbr"><img src="images/logo.png" alt=""> </b>
                    <span class="logo-compact"><img src="./images/logo-compact.png" alt=""></span>
                    <span class="brand-title">
                        <img src="images/logo-text.png" alt="">
                    </span>
                </a>
            </div>
        </div>
        <!--**********************************
            Nav header end
        ***********************************-->
        <!--**********************************
            Header start
        ***********************************-->
        <div class="header">
            <div class="header-content clearfix">
                <div class="nav-control">
                    <div class="hamburger">
                        <span class="toggle-icon"><i class="icon-menu"></i></span>
                    </div>
                </div>
                <div class="header-left">
                    <div class="input-group icons">
                        <div class="input-group-prepend">
                            <span class="input-group-text bg-transparent border-0 pr-2 pr-sm-3" id="basic-addon1"><i class="mdi mdi-magnify"></i></span>
                        </div>
                        <input type="search" class="form-control" placeholder="جست و جو" aria-label="Search Dashboard">
                        <div class="drop-down   d-md-none">
                            <form action="#">
                                <input type="text" class="form-control" placeholder="جست و جو">
                            </form>
                        </div>
                    </div>
                </div>
                <div class="header-right">
                    <ul class="clearfix">
                        @*<li class="icons dropdown">
                                 <a href="javascript:void(0)" data-toggle="dropdown">
                                     <i class="mdi mdi-email-outline"></i>
                                     <span class="badge gradient-1 badge-pill badge-primary">3</span>
                                 </a>
                                 <div class="drop-down animated fadeIn dropdown-menu" style="display:none">
                                     <div class="dropdown-content-heading d-flex justify-content-between">
                                         <span class="">3 New Messages</span>

                                     </div>
                                     <div class="dropdown-content-body">
                                         <ul>
                                             <li class="notification-unread">
                                                 <a href="javascript:void()">
                                                     <img src="~/assets/images/user/form-user.png" class="float-left mr-3 avatar-img" alt="" />
                                                     <div class="notification-content">
                                                         <div class="notification-heading">Saiful Islam</div>
                                                         <div class="notification-timestamp">08 Hours ago</div>
                                                         <div class="notification-text">Hi Teddy, Just wanted to let you ...</div>
                                                     </div>
                                                 </a>
                                             </li>
                                             <li class="notification-unread">
                                                 <a href="javascript:void()">
                                                     <img class="float-left mr-3 avatar-img" src="images/avatar/2.jpg" alt="">
                                                     <div class="notification-content">
                                                         <div class="notification-heading">Adam Smith</div>
                                                         <div class="notification-timestamp">08 Hours ago</div>
                                                         <div class="notification-text">Can you do me a favour?</div>
                                                     </div>
                                                 </a>
                                             </li>
                                             <li>
                                                 <a href="javascript:void()">
                                                     <img class="float-left mr-3 avatar-img" src="images/avatar/3.jpg" alt="">
                                                     <div class="notification-content">
                                                         <div class="notification-heading">Barak Obama</div>
                                                         <div class="notification-timestamp">08 Hours ago</div>
                                                         <div class="notification-text">Hi Teddy, Just wanted to let you ...</div>
                                                     </div>
                                                 </a>
                                             </li>
                                             <li>
                                                 <a href="javascript:void()">
                                                     <img class="float-left mr-3 avatar-img" src="images/avatar/4.jpg" alt="">
                                                     <div class="notification-content">
                                                         <div class="notification-heading">Hilari Clinton</div>
                                                         <div class="notification-timestamp">08 Hours ago</div>
                                                         <div class="notification-text">Hello</div>
                                                     </div>
                                                 </a>
                                             </li>
                                         </ul>

                                     </div>
                                 </div>
                             </li>
                             <li class="icons dropdown-content-heading" >
                                 <a href="javascript:void(0)" data-toggle="dropdown">
                                     <i class="mdi mdi-bell-outline"></i>
                                     <span class="badge badge-pill gradient-2 badge-primary">3</span>
                                 </a>
                                 <div class="drop-down animated fadeIn dropdown-menu dropdown-notfication" style="display:none">
                                     <div class="dropdown-content-heading d-flex justify-content-between">
                                         <span class="">2 New Notifications</span>

                                     </div>
                                     <div class="dropdown-content-body">
                                         <ul>
                                             <li>
                                                 <a href="javascript:void()">
                                                     <span class="mr-3 avatar-icon bg-success-lighten-2"><i class="icon-present"></i></span>
                                                     <div class="notification-content">
                                                         <h6 class="notification-heading">Events near you</h6>
                                                         <span class="notification-text">Within next 5 days</span>
                                                     </div>
                                                 </a>
                                             </li>
                                             <li>
                                                 <a href="javascript:void()">
                                                     <span class="mr-3 avatar-icon bg-danger-lighten-2"><i class="icon-present"></i></span>
                                                     <div class="notification-content">
                                                         <h6 class="notification-heading">Event Started</h6>
                                                         <span class="notification-text">One hour ago</span>
                                                     </div>
                                                 </a>
                                             </li>
                                             <li>
                                                 <a href="javascript:void()">
                                                     <span class="mr-3 avatar-icon bg-success-lighten-2"><i class="icon-present"></i></span>
                                                     <div class="notification-content">
                                                         <h6 class="notification-heading">Event Ended Successfully</h6>
                                                         <span class="notification-text">One hour ago</span>
                                                     </div>
                                                 </a>
                                             </li>
                                             <li>
                                                 <a href="javascript:void()">
                                                     <span class="mr-3 avatar-icon bg-danger-lighten-2"><i class="icon-present"></i></span>
                                                     <div class="notification-content">
                                                         <h6 class="notification-heading">Events to Join</h6>
                                                         <span class="notification-text">After two days</span>
                                                     </div>
                                                 </a>
                                             </li>
                                         </ul>

                                     </div>
                                 </div>
                             </li>
                            <li class="icons dropdown d-none d-md-flex" style="display:none">
                                     <a href="javascript:void(0)" class="log-user" data-toggle="dropdown">
                                         <span>فارسی</span>  <i class="fa fa-angle-down f-s-14" aria-hidden="true"></i>
                                     </a>
                                     <div class="drop-down dropdown-language animated fadeIn  dropdown-menu">
                                         <div class="dropdown-content-body">
                                             <ul>
                                                 <li><a href="javascript:void()">فارسی</a></li>
                                                 <li><a href="javascript:void()">English</a></li>
                                             </ul>
                                         </div>
                                     </div>
                                 </li>*@
                        <li class="icons dropdown">
                            <div class="user-img c-pointer position-relative" data-toggle="dropdown">
                                <span class="activity active"></span>
                                <img src="~/assets/images/user/form-user.png" height="40" width="40" alt="" title="@User.FindFirst("userFullName")?.Value"  data-toggle="tooltip"  data-placement="right">
                            </div>
                            <div class="drop-down dropdown-profile   dropdown-menu">
                                <div class="dropdown-content-body">
                                    <ul>
                                        <li><span href="javascript:void()"><i class="icon-info"></i> <span>@User.FindFirst("userFullName")?.Value</span></span></li>
                                        <li><span href="javascript:void()"><i class="icon-tag"></i> <span>@User.FindFirst("userRoleTag")?.Value</span></span></li>
                                        <li>
                                            <a asp-action="logout" asp-controller="changepassword"><i class="icon-user"></i> <span>حساب کاربری</span></a>
                                        </li>
                                        @*<li>
                                                <a><i class="icon-envelope-open"></i> <span>صندوق پیام</span> <div class="badge gradient-3 badge-pill badge-primary">3</div></a>
                                            </li>*@
                                        <hr class="my-2" />
                                        @*<li>
                                                <a><i class="icon-lock"></i> <span>قفل صفحه</span></a>
                                            </li>*@
                                        <li><a asp-action="SignOut" asp-controller="Account"><i class="icon-key"></i> <span>خروج</span></a></li>
                                    </ul>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <!--**********************************
            Header end ti-comment-alt
        ***********************************-->
        <!--**********************************
            Sidebar start
        ***********************************-->
        <partial name="/Views/Shared/Partials/_MainMenuPartial.cshtml" />
        <!--**********************************
            Sidebar end
        ***********************************-->
        <!--**********************************
            Content body start
        ***********************************-->
        <div class="content-body">

            <div class="row page-titles mx-0" hidden>
                <div class="col p-md-0">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">سامانه</a></li>
                        <li class="breadcrumb-item active"><a href="javascript:void(0)">خانه</a></li>
                    </ol>
                </div>
            </div>
            <!-- row -->

            <div class="container-fluid">
                @RenderBody()
            </div>
            <!-- #/ container -->
        </div>
        <!--**********************************
            Content body end
        ***********************************-->
        <!--**********************************
            Footer start
        ***********************************-->
        <div class="footer">
            <div class="copyright" hidden>
                <p>Copyright &copy; Designed & Developed by <a href="https://meitsgroup.ir/">MEITS Group</a> 2021</p>
            </div>
        </div>
        <!--**********************************
            Footer end
        ***********************************-->
    </div>
    <!--**********************************
        Main wrapper end
    ***********************************-->
    <!--**********************************
        Scripts
    ***********************************-->
    @*<script src="~/assets/plugins/jquery/jquery.min.js"></script>*@
    <script src="~/assets/plugins/common/common.min.js"></script>
    <script src="~/assets/js/custom.min.js"></script>
    <script src="~/assets/js/settings.js"></script>
    <script src="~/assets/js/gleek.js"></script>
    <script src="~/assets/js/styleSwitcher.js"></script>
    <script src="~/app-assets/vendors/datatables/datatables.min.js"></script>
    <script src="~/app-assets/vendors/datatables/dataTables.bootstrap4.js"></script>
    @*<script src="~/app-assets/vendors/datatables/dataTables.buttons.min.js"></script>*@
    <script src="~/app-assets/vendors/datatables/responsive.bootstrap.js"></script>
    <script src="~/app-assets/vendors/datatables/datatable.config.js"></script>
    <script src="~/js/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
    <script src="~/js/bootstrap-datepicker/bootstrap-datepicker.fa.min.js"></script>
    <partial name="/Views/Shared/Partials/_ValidationScriptsPartial.cshtml" />
    <partial name="/Views/Shared/Partials/_ToastrPartial.cshtml" />
    <script src="~/assets/plugins/select2/js/select2.full.js"></script>
    <script src="~/assets/plugins/select2/js/i18n/fa.js"></script>
    @*<script src="~/assets/js/plugins-init/select2-init.js"></script>*@
    @*<script src="~/assets/plugins/bootstrap-select/dist/js/bootstrap-select.min.js"></script>*@
    @*<script src="~/assets/plugins/bootstrap-multiselect/js/bootstrap-multiselect.js"></script>*@



    @*<partial name="/Views/Shared/Partials/_IntroJsPartial.cshtml" />*@
    <script>
        $(document).ready(function () {

            $('input[id$="Date"],input[id^="Date"]').datepicker({
                changeMonth: true,
                changeYear: true,
                showOtherMonths: true,
                selectOtherMonths: true,
                today: true,
                isRTL: true,
                dateFormat: "yy/mm/dd"
            });

            //$('.has-multiselect').attr("multiple", "multiple").multiselect({
            //    selectAllText: 'انتخاب همه',
            //    nonSelectedText: 'هیچکدام',
            //    allSelectedText: 'همه موارد',
            //    nSelectedText: ' مورد انتخاب شد',
            //    resetText: 'هیچکدام',
            //    filterPlaceholder: 'جستجو',
            //    includeSelectAllOption: true,
            //    enableClickableOptGroups: false,
            //    enableCollapsibleOptGroups: true,
            //    collapseOptGroupsByDefault: true,
            //    enableFiltering: true,
            //    buttonWidth: '100%',
            //    templates: {
            //        filter: '<div class="multiselect-filter"><div class= "position-relative has-icon-left" ><div class="form-control-position"><i class="icon-search"></i></div><input class="form-control multiselect-search border-bottom" type="text" /></div>'
            //    }

            //});

            $('[data-toggle="tooltip"]').tooltip();

            $('[data-toggle="popover"]').popover();

            //$('select').selectpicker(
            //    {
            //        liveSearch: true,
            //        //style: null,
            //        styleBase: 'form-control'
            //    });

            $('select').select2({
                theme: 'bootstrap',
                placeholder: '--',
                //maximumSelectionSize: 6,
                containerCssClass: ':all:',
                //dropdownCssClass:'form-control',
                selectionCssClass: 'form-control',
                language: 'fa',
                dir: 'rtl',
                //dropdownAutoWidth: true,
                //dropdownParent: $('#parent')
            });
        });
    </script>

    @RenderSection("Scripts", required: false)

</body>

</html>